---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVMObjectAlloc.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x1D4E0, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8D, offset: 0x8D, size: 0x8, addend: 0x0, symName: __ZL10is_vm_dead, symObjAddr: 0x1D4E8, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0xB4, offset: 0xB4, size: 0x8, addend: 0x0, symName: __ZL20number_of_allocation, symObjAddr: 0x1D4EC, symBinAddr: 0x805C, symSize: 0x0 }
  - { offsetInCU: 0xD4, offset: 0xD4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1D4F0, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x8D83, offset: 0x8D83, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x3150, symSize: 0x30 }
  - { offsetInCU: 0x9197, offset: 0x9197, size: 0x8, addend: 0x0, symName: _VMObjectAlloc, symObjAddr: 0xE90, symBinAddr: 0x3180, symSize: 0x180 }
  - { offsetInCU: 0x94BF, offset: 0x94BF, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1010, symBinAddr: 0x3300, symSize: 0x70 }
  - { offsetInCU: 0x9598, offset: 0x9598, size: 0x8, addend: 0x0, symName: _Java_VMObjectAllocTest_getNumberOfAllocation, symObjAddr: 0x1080, symBinAddr: 0x3370, symSize: 0x10 }
  - { offsetInCU: 0x9649, offset: 0x9649, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1090, symBinAddr: 0x3380, symSize: 0x140 }
  - { offsetInCU: 0x9862, offset: 0x9862, size: 0x8, addend: 0x0, symName: __ZL7VMDeathP9_jvmtiEnvP7JNIEnv_, symObjAddr: 0x11D0, symBinAddr: 0x34C0, symSize: 0xF0 }
...
